Cara menginstal paket LMDE kami dalam 3 detik

Memanfaatkan artikel terbaru tentang apa yang saya posting Cadangan Mint, Saya ingin menunjukkan tiga cara mudah untuk menginstal ulang paket yang kami gunakan saat kami menginstal ulang LMDE.

Sebenarnya, kecuali untuk bentuk pertama, yang lain bisa digunakan dalam format Debian, Seperti dalam Ubuntu.

Pemasangan dalam 3 detik

Secara grafis.

Ini adalah cara yang paling disukai, semua grafis dan tanpa harus menyentuh terminal. Di LMDE y linuxmint, ada sebuah alat luar biasa disebut Cadangan Mint, yang antara lain dapat kita gunakan untuk menyimpan paket kita dan kemudian menginstalnya kembali.

Dalam kasus LMDE, jika kami memperbarui paket python-apt ke versi 0.8.0, kami tidak akan dapat menggunakan Cadangan Mint karena masalah ketergantungan. Ini akan mengembalikan kesalahan berikut:

Traceback (most recent call last):
File "/usr/lib/linuxmint/mintBackup/mintBackup.py", line 87, in <module>
class MessageDialog(apt.FetchProgress):
AttributeError: 'module' object has no attribute 'FetchProgress'

Semoga orang-orang dari Permen perbaiki segera.

Melalui terminal.

Melalui konsol kita bisa melakukannya dengan 2 cara yang pada akhirnya sama saja.

Dalam 2 langkah.

dpkg --get-selections | awk '$2 ~ /^install$/ {print $1}' > lista_de_paquetes.txt

Setelah kami memiliki akses ke repositori dan semuanya dikonfigurasi dan diperbarui, kami hanya perlu meletakkan ini:

cat lista_de_paquetes.txt | xargs sudo aptitude install -y

Dalam 3 langkah.

dpkg --get-selections "*" > /home/user/Desktop/lista_de_paquetes.txt

Setelah menginstal ulang kami menjalankan ini:

dpkg --set-selections  < /home/user/Desktop/lista_de_paquetes.txt

Dan kemudian kami menjalankan:

apt-get -u dselect-upgrade

Saya rasa tidak perlu mengklarifikasi bahwa repositori harus dikonfigurasi dengan benar .. Sederhana bukan?


Isi artikel mengikuti prinsip kami etika editorial. Untuk melaporkan kesalahan, klik di sini.

8 komentar, tinggalkan punyamu

tinggalkan Komentar Anda

Alamat email Anda tidak akan dipublikasikan. Bidang yang harus diisi ditandai dengan *

*

*

  1. Penanggung jawab data: Miguel Ángel Gatón
  2. Tujuan data: Mengontrol SPAM, manajemen komentar.
  3. Legitimasi: Persetujuan Anda
  4. Komunikasi data: Data tidak akan dikomunikasikan kepada pihak ketiga kecuali dengan kewajiban hukum.
  5. Penyimpanan data: Basis data dihosting oleh Occentus Networks (UE)
  6. Hak: Anda dapat membatasi, memulihkan, dan menghapus informasi Anda kapan saja.

  1.   keberanian dijo

    Atau Anda juga menuliskan semua program yang Anda miliki sebelumnya dan lakukan

    sudo apt-get -y insall semua paket yang telah dihapus

    Saya benar-benar tidak tahu apakah LMDE memiliki tujuan yang sama dengan Linux MInt, di luar kotak

    1.    keberanian dijo

      * Install

  2.   hokasito dijo

    Meskipun ini agak "di luar topik", saya ingin memperingatkan bahwa kandidat rilis telah keluar di Linux Mint Debian 201108 untuk GNOME dan XFCE. Saya harap cukup banyak perbaikan telah dilakukan… 🙂

    1.    elav <° Linux dijo

      Nah, ya, apa jadinya kalau berita bagus ini terbit, kita off-line .. Terima kasih.

  3.   mitcoes dijo

    Saya baru saja menemukan Anda dan TERIMA KASIH.
    Kemarin saya menginstal LMDE 64-bit, dan saya baik-baik saja, tetapi saya memiliki 2 hal kecil untuk ditemukan-

    1– Login sebagai root dalam mode grafis

    2.- Atur VLC sebagai pemutar video default

    Saya rasa saya akan mendapatkannya dari panel kontrol aplikasi yang disukai atau dengan membuka dengan aplikasi lain / menggunakan aplikasi ini secara default. Masuk sebagai root.

    Saya telah melakukan sudo nautilus untuk berjaga-jaga dan tidak ada sama sekali.

    PS1: Dalam 64 bit jika abckup paket bekerja dengan baik.
    PS2: Saya juga perlu menginstal MAME SDL dan wine64 terbaru yang saya ingin ppa ada, karena mengkonfigurasi program nanti tidak secara otomatis memperbaruinya.
    PS3: Saya menggunakan driver beta AMD AMD_Catalyst_Preview_driver_OpenGL_4.2_beta_support_8.88.8-x86.x86_64.run, Cocoon, https://getcocoon.com/, untuk melihat seri geolokasi di Firefox, Chrome - yang harus diinstal -, bantuan Flash Firefox dengan Flash 64-bit, Zindus, Qbittorrent, Opera, ekstensi aletras.oxt dan skrip penerima untuk mengontrol kelebihan cache RAM dari tugas yang juga membutuhkan komentar dari Anda.

    Saya menantikan bagian kelima dari tutorial dengan ini dan / atau saran lainnya

  4.   COMECON dijo

    Hello!
    Satu hal, kita harus mengubah tautan pertama yang mengirim artikel MintBackup ke yang ini: https://blog.desdelinux.net/mintbackup-realiza-un-respaldo-de-tus-paquetes/
    Saya tidak tahu mengapa, itu menautkan ke subdirektori "/ wp-content / themes" ...

    1.    KZKG ^ Gaara dijo

      Selesai, diperbaiki 😉

  5.   Nahum dijo

    Halo, sejak versi LMDE amd64 sebelumnya saya memiliki masalah dengan paket yang rusak dan kesalahan saat memuat repositori, saya telah mencoba banyak solusi dan tidak ada yang berfungsi ... Saya tidak tahu harus berbuat apa lagi, saya ingin menginstal Gnome-shell dan tidak membiarkan saya karena paketnya rusak. Saya melihat cara menyelesaikan paket yang rusak dengan perintah seperti: sudo dpkg –purge –force-remove-reinstreq

    dan saya mendapatkan kesalahan berikut:

    dpkg: error: –purge membutuhkan setidaknya satu nama paket sebagai parameter

    Ketik dpkg –help untuk bantuan dalam menginstal dan menghapus paket [*];
    Gunakan `dselect 'atau` aptitude' untuk manajemen paket yang lebih ramah;
    Ketik dpkg -Dhelp untuk daftar pengaturan debug dpkg;
    Ketik dpkg –force-help untuk daftar opsi untuk memaksa sesuatu;
    Ketik dpkg-deb –help untuk bantuan dalam memanipulasi file .deb;

    Pilihan yang ditandai dengan [*] menghasilkan keluaran yang panjang,
    Saring dengan 'lebih sedikit' atau dengan 'lebih banyak'!

    jika seseorang dapat membantu saya dengan ini 🙂